AVR Libc Home Page |  | AVR Libc Development Pages
Main Page | User Manual | Library Reference | FAQ | Alphabetical Index | Example Projects

# <ctype.h>: Character Operations

## Detailed Description

These functions perform various operations on characters.

     #include <ctype.h>

## Function Documentation

int isalnum | ( | int | __c | ) |

Checks for an alphanumeric character. It is equivalent to `(isalpha(c) || isdigit(c))`.

int isalpha | ( | int | __c | ) |

Checks for an alphabetic character. It is equivalent to `(isupper(c) || islower(c))`.

int isascii | ( | int | __c | ) |

Checks whether `c` is a 7-bit unsigned char value that fits into the ASCII character set.

int isblank | ( | int | __c | ) |

Checks for a blank character, that is, a space or a tab.

int iscntrl | ( | int | __c | ) |

Checks for a control character.

int isdigit | ( | int | __c | ) |

Checks for a digit (0 through 9).

int isgraph | ( | int | __c | ) |

Checks for any printable character except space.

int islower | ( | int | __c | ) |

Checks for a lower-case character.

int isprint | ( | int | __c | ) |

Checks for any printable character including space.

int ispunct | ( | int | __c | ) |

Checks for any printable character which is not a space or an alphanumeric character.

int isspace | ( | int | __c | ) |

Checks for white-space characters. For the avr-libc library, these are: space, form-feed ('\f'), newline ('\n'), carriage return ('\r'), horizontal tab ('\t'), and vertical tab ('\v').

int isupper | ( | int | __c | ) |

Checks for an uppercase letter.

int isxdigit | ( | int | __c | ) |

Checks for a hexadecimal digits, i.e. one of 0 1 2 3 4 5 6 7 8 9 a b c d e f A B C D E F.

int toascii | ( | int | __c | ) |

Converts `c` to a 7-bit unsigned char value that fits into the ASCII character set, by clearing the high-order bits.

Warning:
  Many people will be unhappy if you use this function. This function will convert accented letters into random characters.

int tolower | ( | int | __c | ) |

Converts the letter `c` to lower case, if possible.

int toupper | ( | int | __c | ) |

Converts the letter `c` to upper case, if possible.

Automatically generated by Doxygen 1.5.7 on 6 Nov 2008.